Skip to content
Guides
Carts & CheckoutCustomer

Get customer order

Customer order detail with items, shipping, payments and status timeline

GET/v1/customer/orders/{orderId}

Customer order detail with items, shipping, payments and status timeline

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

orderId*string

Identifier of the order.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

x-Store-Domain*string

Store slug or configured domain that selects the store context at the central Storefront gateway.

Length1 <= length <= 253

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/customer/orders/7204558912004325301" \  -H "Authorization: Bearer <token>" \  -H "x-Store-Domain: my-store"
{  "id": "7204558912004325301",  "orderNumber": "ORD-2026-0001",  "orderGroup": "example",  "status": "new",  "total": 1,  "totalPaid": 1,  "currencyCode": "PEN",  "orderDate": "2026-08-01T15:30:00Z",  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z",  "paymentAt": "2026-08-01T15:30:00Z",  "subTotal": 1,  "discount": 1,  "shipping": 1,  "tax": 1,  "email": "andrea@example.com",  "phone": "+51987654321",  "firstName": "Andrea",  "lastName": "Ramos",  "shippingAddress": {    "address1": "example",    "city": "example",    "countryCode": "PE",    "name": "Example resource",    "company": "example",    "address2": "example",    "province": "example",    "postalCode": "example_code"  },  "shippingAddressSummary": "example",  "billingAddress": {    "address1": "example",    "city": "example",    "countryCode": "PE",    "name": "Example resource",    "company": "example",    "address2": "example",    "province": "example",    "postalCode": "example_code"  },  "items": [    {      "id": "7204558912004325301",      "orderId": "7204558912004325301",      "productId": "7204558912004325301",      "variantId": "7204558912004325301",      "title": "Example title",      "subtitle": "Example title",      "thumbnail": "example",      "variantTitle": "Example title",      "productHandle": "example",      "quantity": 1,      "unitPrice": 1,      "total": 1,      "status": "new"    }  ],  "payments": [    {      "id": "7204558912004325301",      "paymentMethod": "example",      "paymentCode": "example_code",      "amount": 1,      "paymentStatus": "pending",      "receiptUrl": "https://example.com/resource",      "createdOn": "2026-08-01T15:30:00Z"    }  ],  "statusTimeline": [    {      "key": "example",      "label": "example",      "occurredAt": "2026-08-01T15:30:00Z",      "description": "Example description.",      "status": "example",      "source": "example"    }  ],  "shipments": [    {      "carrierName": "Example resource",      "trackingNumber": "example",      "trackingLink": "example"    }  ]}